Bug 485586 - Review Request: perl-Test-Kwalitee - Test the Kwalitee of a distribution before you release it
Summary: Review Request: perl-Test-Kwalitee - Test the Kwalitee of a distribution befo...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-14 22:21 UTC by Allisson Azevedo
Modified: 2012-04-05 03:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-16 22:34:39 UTC
Type: ---
wolfy: fedora-review+


Attachments (Terms of Use)

Description Allisson Azevedo 2009-02-14 22:21:07 UTC
Spec URL: http://allisson.fedorapeople.org/packages/perl-Test-Kwalitee/perl-Test-Kwalitee.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-Test-Kwalitee/perl-Test-Kwalitee-1.01-1.fc10.src.rpm

Description: Kwalitee is an automatically-measurable gauge of how good your software
is. That's very different from quality, which a computer really can't
measure in a general sense. (If you can, you've solved a hard problem in
computer science.)

Comment 1 manuel wolfshant 2009-02-15 05:54:08 UTC
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic (same as perl)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 8f99765f3a5e563b50638d082b90e6129d6fee7a Test-Kwalitee-1.01.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass.


================
*** APPROVED ***
================

Comment 2 Allisson Azevedo 2009-02-15 14:33:55 UTC
New Package CVS Request
=======================
Package Name: perl-Test-Kwalitee
Short Description: Test the Kwalitee of a distribution before you release it
Owners: allisson
Branches: F-9 F-10

Comment 3 Kevin Fenzi 2009-02-16 21:33:59 UTC
cvs done.

Comment 4 Mark Chappell 2010-06-18 16:47:19 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=191622 - cweyl implied he's not interested in EPEL, and at todays EPEL meeting Smooge suggested I should just put the requests through.

Package Change Request
======================
Package Name: perl-Kwalitee
New Branches: EL-6
Owners: tremble

Comment 5 Kevin Fenzi 2010-06-21 01:52:41 UTC
Should the package name be 'perl-Test-Kwalitee' ? 

Doublecheck and reset the fedora-cvs flag.

Comment 6 Mark Chappell 2010-06-21 07:18:56 UTC
Bah, you're quite right.

Package Change Request
======================
Package Name: perl-Test-Kwalitee
New Branches: EL-6
Owners: tremble

Comment 7 Kevin Fenzi 2010-06-23 01:42:07 UTC
cvs done.

Comment 8 Paul Howarth 2012-03-18 10:58:04 UTC
Package Change Request
======================
Package Name: perl-Test-Kwalitee
New Branches: el5
Owners: pghmcfc
InitialCC: perl-sig

Comment 9 Gwyn Ciesla 2012-03-19 11:48:17 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-03-19 12:13:23 UTC
perl-Test-Kwalitee-1.01-12.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-Kwalitee-1.01-12.el5

Comment 11 Petr Pisar 2012-03-19 12:20:36 UTC
Package Change Request
======================
Package Name: perl-Test-Kwalitee
Branches: f15 f16 f17
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.

Comment 12 Gwyn Ciesla 2012-03-19 12:26:51 UTC
Done.

Comment 13 Fedora Update System 2012-04-05 03:04:31 UTC
perl-Test-Kwalitee-1.01-12.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.